| Disk ARchive 2.8.3 Full featured and portable backup and archiving tool

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
libdar::archive_summary Class Reference
API

the archive_summary class provides information about a given archive More...

`#include <archive_summary.hpp>`

## Public Member Functions
| archive_summary (const archive_summary &ref)=default
| archive_summary (archive_summary &&ref) noexcept=default
archive_summary & | operator= (const archive_summary &ref)=default
archive_summary & | operator= (archive_summary &&ref) noexcept=default
const infinint & | get_slice_size () const
const infinint & | get_first_slice_size () const
const infinint & | get_last_slice_size () const
const infinint & | get_ref_slice_size () const
const infinint & | get_ref_first_slice_size () const
const infinint & | get_slice_number () const
const infinint & | get_archive_size () const
const infinint & | get_catalog_size () const
const infinint & | get_storage_size () const
const infinint & | get_data_size () const
const entree_stats & | get_contents () const
const std::string & | get_edition () const
const std::string & | get_compression_algo () const
const std::string & | get_user_comment () const
const std::string & | get_cipher () const
const std::string & | get_asym () const
bool | get_signed () const
bool | get_tape_marks () const
const std::string & | get_in_place () const
const infinint & | get_compression_block_size () const
const std::string & | get_salt () const
const infinint & | get_iteration_count () const
const std::string & | get_kdf_hash () const
void | set_slice_size (const infinint &arg)
void | set_first_slice_size (const infinint &arg)
void | set_last_slice_size (const infinint &arg)
void | set_ref_slice_size (const infinint &arg)
void | set_ref_first_slice_size (const infinint &arg)
void | set_slice_number (const infinint &arg)
void | set_archive_size (const infinint &arg)
void | set_catalog_size (const infinint &arg)
void | set_storage_size (const infinint &arg)
void | set_data_size (const infinint &arg)
void | set_contents (const entree_stats &arg)
void | set_edition (const std::string &arg)
void | set_compression_algo (const std::string &arg)
void | set_user_comment (const std::string &arg)
void | set_cipher (const std::string &arg)
void | set_asym (const std::string &arg)
void | set_signed (bool arg)
void | set_tape_marks (bool arg)
void | set_in_place (const std::string &arg)
void | set_compression_block_size (const infinint &arg)
void | set_salt (const std::string &arg)
void | set_iteration_count (const infinint &arg)
void | set_kdf_hash (const std::string &arg)
void | clear ()
| archive_summary (const archive_summary &ref)=default
| archive_summary (archive_summary &&ref) noexcept=default
archive_summary & | operator= (const archive_summary &ref)=default
archive_summary & | operator= (archive_summary &&ref) noexcept=default
const infinint & | get_slice_size () const
const infinint & | get_first_slice_size () const
const infinint & | get_last_slice_size () const
const infinint & | get_ref_slice_size () const
const infinint & | get_ref_first_slice_size () const
const infinint & | get_slice_number () const
const infinint & | get_archive_size () const
const infinint & | get_catalog_size () const
const infinint & | get_storage_size () const
const infinint & | get_data_size () const
const entree_stats & | get_contents () const
const std::string & | get_edition () const
const std::string & | get_compression_algo () const
const std::string & | get_user_comment () const
const std::string & | get_cipher () const
const std::string & | get_asym () const
bool | get_signed () const
bool | get_tape_marks () const
const std::string & | get_in_place () const
const infinint & | get_compression_block_size () const
const std::string & | get_salt () const
const infinint & | get_iteration_count () const
const std::string & | get_kdf_hash () const
void | set_slice_size (const infinint &arg)
void | set_first_slice_size (const infinint &arg)
void | set_last_slice_size (const infinint &arg)
void | set_ref_slice_size (const infinint &arg)
void | set_ref_first_slice_size (const infinint &arg)
void | set_slice_number (const infinint &arg)
void | set_archive_size (const infinint &arg)
void | set_catalog_size (const infinint &arg)
void | set_storage_size (const infinint &arg)
void | set_data_size (const infinint &arg)
void | set_contents (const entree_stats &arg)
void | set_edition (const std::string &arg)
void | set_compression_algo (const std::string &arg)
void | set_user_comment (const std::string &arg)
void | set_cipher (const std::string &arg)
void | set_asym (const std::string &arg)
void | set_signed (bool arg)
void | set_tape_marks (bool arg)
void | set_in_place (const std::string &arg)
void | set_compression_block_size (const infinint &arg)
void | set_salt (const std::string &arg)
void | set_iteration_count (const infinint &arg)
void | set_kdf_hash (const std::string &arg)
void | clear ()

## Private Attributes
infinint | slice_size
| slice of the middle slice or zero if not applicable
infinint | first_slice_size
| slice of the first slices or zero if not applicable
infinint | last_slice_size
| slice of the last slice or zero if not applicable
infinint | ref_slice_size
| slice of the slice of the archive of reference
infinint | ref_first_slice_size
| slice of the first slice of the archive of reference
infinint | slice_number
| number of slices composing the archive of zero if unknown
infinint | archive_size
| total size of the archive
infinint | catalog_size
| catalogue size if known, zero if not
infinint | storage_size
| amount of byte used to store (compressed/encrypted) data
infinint | data_size
| amount of data saved (once uncompressed/unciphered)
entree_stats | contents
| nature of saved files
std::string | edition
| archive format
std::string | algo_zip
| compression algorithm
std::string | user_comment
| user comment
std::string | cipher
| encryption algorithm
std::string | asym
| asymetrical encryption
bool | is_signed
| whether the archive is signed
bool | tape_marks
| whether the archive has tape marks (for sequential reading)
std::string | in_place
| in_place path empty string if absent
infinint | compr_block_size
| compression block size, or zero if stream compression is used
std::string | salt
| the salt
infinint | iteration_count
| iteration count for KDF routine
std::string | kdf_hash
| kdf hash algo

## Detailed Description

the archive_summary class provides information about a given archive

Definition at line 44 of file dar64-2.8.3-win64/include/dar/archive_summary.hpp.

## Constructor & Destructor Documentation

## ◆ archive_summary()

libdar::archive_summary::archive_summary | ( |  | ) |
| inline

Definition at line 47 of file src/libdar/archive_summary.hpp.

## Member Function Documentation

## ◆ get_archive_size()

const infinint & libdar::archive_summary::get_archive_size | ( |  | ) | const
| inline

Definition at line 62 of file src/libdar/archive_summary.hpp.

## ◆ get_asym()

const std::string & libdar::archive_summary::get_asym | ( |  | ) | const
| inline

Definition at line 71 of file src/libdar/archive_summary.hpp.

## ◆ get_catalog_size()

const infinint & libdar::archive_summary::get_catalog_size | ( |  | ) | const
| inline

Definition at line 63 of file src/libdar/archive_summary.hpp.

## ◆ get_cipher()

const std::string & libdar::archive_summary::get_cipher | ( |  | ) | const
| inline

Definition at line 70 of file src/libdar/archive_summary.hpp.

## ◆ get_compression_algo()

const std::string & libdar::archive_summary::get_compression_algo | ( |  | ) | const
| inline

Definition at line 68 of file src/libdar/archive_summary.hpp.

## ◆ get_compression_block_size()

const infinint & libdar::archive_summary::get_compression_block_size | ( |  | ) | const
| inline

Definition at line 75 of file src/libdar/archive_summary.hpp.

## ◆ get_contents()

const entree_stats & libdar::archive_summary::get_contents | ( |  | ) | const
| inline

Definition at line 66 of file src/libdar/archive_summary.hpp.

## ◆ get_data_size()

const infinint & libdar::archive_summary::get_data_size | ( |  | ) | const
| inline

Definition at line 65 of file src/libdar/archive_summary.hpp.

## ◆ get_edition()

const std::string & libdar::archive_summary::get_edition | ( |  | ) | const
| inline

Definition at line 67 of file src/libdar/archive_summary.hpp.

## ◆ get_first_slice_size()

const infinint & libdar::archive_summary::get_first_slice_size | ( |  | ) | const
| inline

Definition at line 57 of file src/libdar/archive_summary.hpp.

## ◆ get_in_place()

const std::string & libdar::archive_summary::get_in_place | ( |  | ) | const
| inline

Definition at line 74 of file src/libdar/archive_summary.hpp.

## ◆ get_iteration_count()

const infinint & libdar::archive_summary::get_iteration_count | ( |  | ) | const
| inline

Definition at line 77 of file src/libdar/archive_summary.hpp.

## ◆ get_kdf_hash()

const std::string & libdar::archive_summary::get_kdf_hash | ( |  | ) | const
| inline

Definition at line 78 of file src/libdar/archive_summary.hpp.

## ◆ get_last_slice_size()

const infinint & libdar::archive_summary::get_last_slice_size | ( |  | ) | const
| inline

Definition at line 58 of file src/libdar/archive_summary.hpp.

## ◆ get_ref_first_slice_size()

const infinint & libdar::archive_summary::get_ref_first_slice_size | ( |  | ) | const
| inline

Definition at line 60 of file src/libdar/archive_summary.hpp.

## ◆ get_ref_slice_size()

const infinint & libdar::archive_summary::get_ref_slice_size | ( |  | ) | const
| inline

Definition at line 59 of file src/libdar/archive_summary.hpp.

## ◆ get_salt()

const std::string & libdar::archive_summary::get_salt | ( |  | ) | const
| inline

Definition at line 76 of file src/libdar/archive_summary.hpp.

## ◆ get_signed()

bool libdar::archive_summary::get_signed | ( |  | ) | const
| inline

Definition at line 72 of file src/libdar/archive_summary.hpp.

## ◆ get_slice_number()

const infinint & libdar::archive_summary::get_slice_number | ( |  | ) | const
| inline

Definition at line 61 of file src/libdar/archive_summary.hpp.

## ◆ get_slice_size()

const infinint & libdar::archive_summary::get_slice_size | ( |  | ) | const
| inline

Definition at line 56 of file src/libdar/archive_summary.hpp.

## ◆ get_storage_size()

const infinint & libdar::archive_summary::get_storage_size | ( |  | ) | const
| inline

Definition at line 64 of file src/libdar/archive_summary.hpp.

## ◆ get_tape_marks()

bool libdar::archive_summary::get_tape_marks | ( |  | ) | const
| inline

Definition at line 73 of file src/libdar/archive_summary.hpp.

## ◆ get_user_comment()

const std::string & libdar::archive_summary::get_user_comment | ( |  | ) | const
| inline

Definition at line 69 of file src/libdar/archive_summary.hpp.

## ◆ set_archive_size()

void libdar::archive_summary::set_archive_size | ( | const infinint & | arg | ) |
| inline

Definition at line 89 of file src/libdar/archive_summary.hpp.

## ◆ set_asym()

void libdar::archive_summary::set_asym | ( | const std::string & | arg | ) |
| inline

Definition at line 98 of file src/libdar/archive_summary.hpp.

## ◆ set_catalog_size()

void libdar::archive_summary::set_catalog_size | ( | const infinint & | arg | ) |
| inline

Definition at line 90 of file src/libdar/archive_summary.hpp.

## ◆ set_cipher()

void libdar::archive_summary::set_cipher | ( | const std::string & | arg | ) |
| inline

Definition at line 97 of file src/libdar/archive_summary.hpp.

## ◆ set_compression_algo()

void libdar::archive_summary::set_compression_algo | ( | const std::string & | arg | ) |
| inline

Definition at line 95 of file src/libdar/archive_summary.hpp.

## ◆ set_compression_block_size()

void libdar::archive_summary::set_compression_block_size | ( | const infinint & | arg | ) |
| inline

Definition at line 102 of file src/libdar/archive_summary.hpp.

## ◆ set_contents()

void libdar::archive_summary::set_contents | ( | const entree_stats & | arg | ) |
| inline

Definition at line 93 of file src/libdar/archive_summary.hpp.

## ◆ set_data_size()

void libdar::archive_summary::set_data_size | ( | const infinint & | arg | ) |
| inline

Definition at line 92 of file src/libdar/archive_summary.hpp.

## ◆ set_edition()

void libdar::archive_summary::set_edition | ( | const std::string & | arg | ) |
| inline

Definition at line 94 of file src/libdar/archive_summary.hpp.

## ◆ set_first_slice_size()

void libdar::archive_summary::set_first_slice_size | ( | const infinint & | arg | ) |
| inline

Definition at line 84 of file src/libdar/archive_summary.hpp.

## ◆ set_in_place()

void libdar::archive_summary::set_in_place | ( | const std::string & | arg | ) |
| inline

Definition at line 101 of file src/libdar/archive_summary.hpp.

## ◆ set_iteration_count()

void libdar::archive_summary::set_iteration_count | ( | const infinint & | arg | ) |
| inline

Definition at line 104 of file src/libdar/archive_summary.hpp.

## ◆ set_kdf_hash()

void libdar::archive_summary::set_kdf_hash | ( | const std::string & | arg | ) |
| inline

Definition at line 105 of file src/libdar/archive_summary.hpp.

## ◆ set_last_slice_size()

void libdar::archive_summary::set_last_slice_size | ( | const infinint & | arg | ) |
| inline

Definition at line 85 of file src/libdar/archive_summary.hpp.

## ◆ set_ref_first_slice_size()

void libdar::archive_summary::set_ref_first_slice_size | ( | const infinint & | arg | ) |
| inline

Definition at line 87 of file src/libdar/archive_summary.hpp.

## ◆ set_ref_slice_size()

void libdar::archive_summary::set_ref_slice_size | ( | const infinint & | arg | ) |
| inline

Definition at line 86 of file src/libdar/archive_summary.hpp.

## ◆ set_salt()

void libdar::archive_summary::set_salt | ( | const std::string & | arg | ) |
| inline

Definition at line 103 of file src/libdar/archive_summary.hpp.

## ◆ set_signed()

void libdar::archive_summary::set_signed | ( | bool | arg | ) |
| inline

Definition at line 99 of file src/libdar/archive_summary.hpp.

## ◆ set_slice_number()

void libdar::archive_summary::set_slice_number | ( | const infinint & | arg | ) |
| inline

Definition at line 88 of file src/libdar/archive_summary.hpp.

## ◆ set_slice_size()

void libdar::archive_summary::set_slice_size | ( | const infinint & | arg | ) |
| inline

Definition at line 83 of file src/libdar/archive_summary.hpp.

## ◆ set_storage_size()

void libdar::archive_summary::set_storage_size | ( | const infinint & | arg | ) |
| inline

Definition at line 91 of file src/libdar/archive_summary.hpp.

## ◆ set_tape_marks()

void libdar::archive_summary::set_tape_marks | ( | bool | arg | ) |
| inline

Definition at line 100 of file src/libdar/archive_summary.hpp.

## ◆ set_user_comment()

void libdar::archive_summary::set_user_comment | ( | const std::string & | arg | ) |
| inline

Definition at line 96 of file src/libdar/archive_summary.hpp.

The documentation for this class was generated from the following files:

- dar64-2.8.3-win64/include/dar/archive_summary.hpp
- src/libdar/archive_summary.hpp